<?php

namespace Drupal\box;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;

/**
 * Defines a class to build a listing of Box entities.
 *
 * @ingroup box
 */
class BoxListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader(): array {
    $header['id'] = $this->t('Box ID');
    $header['machine_name'] = $this->t('Machine name');
    $header['title'] = $this->t('Title');
    $header['type'] = [
      'data' => $this->t('Box type'),
      'class' => [RESPONSIVE_PRIORITY_MEDIUM],
    ];
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   * @throws \Drupal\Core\Entity\EntityMalformedException
   */
  public function buildRow(EntityInterface $entity): array {
    /** @var \Drupal\box\Entity\BoxInterface $entity */
    $row['id'] = $entity->id();
    $row['machine_name'] = $entity->machineName();
    $row['title'] = $entity->toLink($entity->label(), 'entity.box.edit_form', ['box' => $entity->id()]);
    $row['type'] = $entity->bundleLabel();
    return $row + parent::buildRow($entity);
  }

}
